.TH "JS_BUTTONS_f" "scilab" "VERSION" "Dirk Reusch" "JOYSTICK Toolbox"
.SH "NAME"
.LP 
JS_BUTTONS_f \- Scicos block reading joystick button states
.SH "DESCRIPTION"
.LP 
This block realizes reading of joystick button states.
Block outputs are 0 "not pressed" and 1 "pressed".
.SH "DIALOGUE PARAMETERS"
.LP 
.TP 
\fBJoystick Device:\fR
an integer number. Reading from joystick device /dev/js<X>, X=0,1,2,3.
.TP 
\fBButtons:\fR
an integer vector specifying which buttons should be read. First button is specified by 0, second by 1, etc.
.SH "AUTHORS"
.LP 
Dirk Reusch <reusch@tmb.uka.de>
.SH "SEE ALSO"
.LP 
JS_AXES_f(scilab), JSIntro(3)
